Openapi
Update a note on a customer timeline.
Supabase browser session cookie. Supabase may split larger session values into chunked cookies like sb-auth-token.0.
In: cookie
0 < value <= 9007199254740991uuiduuidapplication/json
The customer note payload.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/organizations/123/customers/123/notes/123e4567-e89b-12d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "text": "string", "selections": [ { "start": 0, "end": 1, "reference": { "kind": "user", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "customerId": 1, "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "contentText": "string", "contentDoc": { "version": 1, "blocks": [ { "type": "paragraph", "content": [ { "type": "text", "text": "string" } ] } ] }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "author": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "displayName": "string", "avatarUrl": "http://example.com" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}1 <= length <= 20000items <= 100